Accessimport sketch mdb.models[name].sketches[name].constraints[i] CoincidentConstraint(...)
This method creates a coincident constraint. This constraint applies to two vertices, to a vertex and a ConstrainedSketchGeometry object, or to two ConstrainedSketchGeometry objects of the same type and constrains them to be coincident. Pathmdb.models[name].sketches[name].CoincidentConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. ConcentricConstraint(...)
This method creates a concentric constraint. This constraint applies to any combination of circles, arcs, ellipses, and points and constrains them to be concentric. A concentric constraint implies that the center of ConstrainedSketchGeometry objects coincide. Pathmdb.models[name].sketches[name].ConcentricConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. EqualLengthConstraint(...)
This method creates an equal length constraint. This constraint applies to lines and constrains them such that their lengths are equal. Pathmdb.models[name].sketches[name].EqualLengthConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. EqualRadiusConstraint(...)
This method creates an equal radius constraint. This constraint applies to circles and arcs and constrains them such that their radii are equal. Pathmdb.models[name].sketches[name].EqualRadiusConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. FixedConstraint(...)
This method creates a fixed constraint. This constraint applies to a ConstrainedSketchGeometry object or a Vertex object and constrains them to be fixed in space. Both the location and the shape of the sketch geometry is fixed. Pathmdb.models[name].sketches[name].FixedConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. HorizontalConstraint(...)
This method creates a horizontal constraint. This constraint applies to a line and constrains it to be horizontal. Pathmdb.models[name].sketches[name].HorizontalConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. VerticalConstraint(...)
This method creates a vertical constraint. This constraint applies to a line and constrains it to be vertical. Pathmdb.models[name].sketches[name].VerticalConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. ParallelConstraint(...)
This method creates a parallel constraint. This constraint applies to lines and constrains them to be parallel. Pathmdb.models[name].sketches[name].ParallelConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. PerpendicularConstraint(...)
This method creates a perpendicular constraint. This constraint applies to different types of ConstrainedSketchGeometry objects and constrains them to be perpendicular to each other. Pathmdb.models[name].sketches[name].PerpendicularConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. EqualDistanceConstraint(...)
This method creates an equal distance constraint. This constraint can be applied between a midpoint Vertex object and any other two Vertex objects or between a midpoint Vertex object and two ConstrainedSketchGeometry objects that are lines. The equal distance constraint forces the midpoint vertex to remain at an equal distance from the two other vertices or lines. Pathmdb.models[name].sketches[name].EqualDistanceConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. TangentConstraint(...)
This method creates a tangent constraint. This constraint applies to different types of ConstrainedSketchGeometry objects and constrains them to remain tangential. Pathmdb.models[name].sketches[name].TangentConstraint Required arguments
Optional argumentsNone. Return valueA ConstrainedSketchConstraint object. ExceptionsNone. MembersThe ConstrainedSketchConstraint object has no members. |